Bug 969858 - strace needs aarch64 support
Summary: strace needs aarch64 support
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: strace (Show other bugs)
(Show other bugs)
Version: 19
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dmitry V. Levin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-02 18:37 UTC by Mark Salter
Modified: 2013-06-13 06:51 UTC (History)
3 users (show)

Fixed In Version: strace-4.8-1.fc19
Doc Type: Enhancement
Doc Text:
aarch64 support
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-13 06:51:42 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
aarch64 support for strace (23.73 KB, patch)
2013-06-02 18:37 UTC, Mark Salter
no flags Details | Diff

Description Mark Salter 2013-06-02 18:37:09 UTC
Created attachment 756047 [details]
aarch64 support for strace

Description of problem:
strace lacks support for aarch64. Attached patch is a backport of a patch submitted upstream.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Dmitry V. Levin 2013-06-02 20:28:24 UTC
(In reply to Mark Salter from comment #0)
> strace lacks support for aarch64. Attached patch is a backport of a patch
> submitted upstream.

strace 4.8 is going to be released in a matter of days, so I suppose no backport is necessary now.

Comment 2 Fedora Update System 2013-06-05 23:34:09 UTC
strace-4.8-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/strace-4.8-1.fc19

Comment 3 Fedora Update System 2013-06-06 17:30:00 UTC
Package strace-4.8-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing strace-4.8-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10196/strace-4.8-1.fc19
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2013-06-13 06:51:42 UTC
strace-4.8-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.